<div class="col-md-6 offset-md-3 mt-5">
  <div>
    <h3 class="text-center text-primary pt-5">Login form</h3>
      <div class="card-body">
          <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
              <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                  <app-field-error-message [control]="loginForm.get('email')"></app-field-error-message>
              </div>
              <div class="form-group">
                  <label for="password">Password</label>
                  <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                  <app-field-error-message [control]="loginForm.get('password')"></app-field-error-message>
              </div>
              <div class="form-group"> <small *ngIf="invalidUserDetails" class="text-danger">Invalid email or password</small> </div>
              <button [disabled]="loading" class="btn btn-primary"  [disabled]="!loginForm.valid">
                  <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                  Login
              </button>
              <button class="btn btn-primary profile-button ml-3" type="button" (click)='redirectToRegister()'>Register</button>
          </form>
      </div>
  </div>
</div>
